### Method

# EBackend CacheKeys count_keys_sync

since: 3.48

#### Declaration [src]

    gboolean
    e_cache_keys_count_keys_sync (
      ECacheKeys* self,
      gint64* out_n_stored,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Counts how many keys the `self` stores and set it to the `out_n_stored`.

Available since: 3.48

#### Parameters

`out_n_stored`

  Type: `gint64*`

  Return location to set count of stored keys.

  The argument will be set by the function.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.